Subject: bug#11975: 23.4; ediff-revision mix up Repository with Working revision (CVS)

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 20 Aug 2020 16:00:32 +0200

(I'm going through old bug reports that unfortunately got no response at
the time.)

Christian Brolin <[email-masked]> writes:

> When comparing local modifications with ediff-revision and the CVS Working
> revison is older than the Repository revision, ediff-revision (with
> default arguments) compares the current buffer with the Repository
> revison but names that buffer with the Working revision.
>
> In my case I checked out DynamicPage r1.27 and modified it
> locally. Another one check in changes to the same file so now the
> Repository revision is 1.28:
>
>> cvs stat DynamicPage.cc
> ===================================================================
> File: DynamicPage.cc    Status: Needs Merge
>
>    Working revision:    1.27    Wed Jun 27 06:32:36 2012
>    Repository revision: 1.28    [...]/DynamicPage.cc,v
>    Sticky Tag:          (none)
>    Sticky Date:         (none)
>    Sticky Options:      (none)

Are you still seeing this problem in more recent versions of Emacs?  I
guess it's unlikely that you're still using cvs, though.  :-/

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no